package com.build.domain.category;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import net.sf.ehcache.pool.sizeof.annotations.IgnoreSizeOf;

public class CategoryTree implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@IgnoreSizeOf
	private Map<Integer, CategoryItem> categoryItemMap;
	private List<CategoryItem> rootItems;

	public CategoryTree() {
	}

	public CategoryTree(Map<Integer, CategoryItem> categoryItemMap,
			List<CategoryItem> rootItems) {
		this.categoryItemMap = categoryItemMap;
		this.rootItems = rootItems;
	}

	public Map<Integer, CategoryItem> getCategoryItemMap() {
		return categoryItemMap;
	}

	public void setCategoryItemMap(Map<Integer, CategoryItem> categoryItemMap) {
		this.categoryItemMap = categoryItemMap;
	}

	public List<CategoryItem> getRootItems() {
		return rootItems;
	}

	public void setRootItems(List<CategoryItem> rootItems) {
		this.rootItems = rootItems;
	}

}
